MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030081Open CASCADE[OCCT] OCCT:Visualizationpublic2018-08-23 13:082018-09-03 16:54
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030081: Visualization - selection does not work when two clipping planes cut object from opposite sides
DescriptionWhen 2 section planes cut object from opposite sides, selection doesn't work at all.
This is a regression after 0029729 (in attempt to unify clipping logic across normal planes and planes in chain, the logic error has been done).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029729verifiedbugmaster Visualization, Graphic3d_ClipPlane - add support of clipping plane chains 

-  Notes
(0078743)
git (administrator)
2018-08-23 16:31

Branch CR30081 has been created by kgv.

SHA-1: 9f8ba133959c570f1b908d6d4a349e098043ddba


Detailed log of new commits:

Author: kgv
Date: Thu Aug 23 22:26:12 2018 +0900

    0030081: Visualization - selection does not work when two clipping planes cut object from opposite sides
    
    Fixed combining independent clipping planes into single range within SelectMgr_RectangularFrustum::computeClippingRange().
(0078747)
kgv (developer)
2018-08-23 16:59
edited on: 2018-08-23 18:20

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30081-master-KGV [^]

(0078748)
san (developer)
2018-08-23 17:32

Branch CR30081 reviewed without remarks.
(0078759)
bugmaster (administrator)
2018-08-24 15:34

Behavior changed bud stay incorrect
  Error (4)
Beginning of log
(4 Errors in this section)
• 1 59>C:\builds\IR-WEEK33-1_IR-WEEK33\Windows-32-VC11-opt\OCCT\src\ViewerTest\ViewerTest_ObjectCommands.cxx(3477) : error C2668: 'MyPArrayObject::MyPArrayObject' : ambiguous call to overloaded function
• 2 59>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V110\Microsoft.CppCommon.targets(347,5): error MSB6006: "CL.exe" exited with code 2.
• 3 2>C:\builds\IR-WEEK33-1_IR-WEEK33\Windows-32-VC11-opt\OCCT\src\ViewerTest\ViewerTest_ObjectCommands.cxx(3477) : error C2668: 'MyPArrayObject::MyPArrayObject' : ambiguous call to overloaded function
• 4 2>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V110\Microsoft.CppCommon.targets(347,5): error MSB6006: "CL.exe" exited with code 2.
http://jenkins-test-08.nnov.opencascade.com/view/IR-WEEK33-1_IR-WEEK33/view/OCCT%20compile/ [^]
(0078773)
git (administrator)
2018-08-26 17:43

Branch CR30081 has been deleted by inv.

SHA-1: 9f8ba133959c570f1b908d6d4a349e098043ddba

- Related Changesets
occt: master e2a47b0c
Timestamp: 2018-08-23 13:26:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030081: Visualization - selection does not work when two clipping planes cut object from opposite sides

Fixed combining independent clipping planes into single range within SelectMgr_RectangularFrustum::computeClippingRange().
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewClipRange.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-23 13:08 kgv New Issue
2018-08-23 13:08 kgv Assigned To => kgv
2018-08-23 16:31 git Note Added: 0078743
2018-08-23 16:44 kgv Relationship added child of 0029729
2018-08-23 16:59 kgv Note Added: 0078747
2018-08-23 16:59 kgv Assigned To kgv => san
2018-08-23 16:59 kgv Status new => resolved
2018-08-23 16:59 kgv Description Updated View Revisions
2018-08-23 17:32 san Note Added: 0078748
2018-08-23 17:32 san Assigned To san => bugmaster
2018-08-23 17:32 san Status resolved => reviewed
2018-08-23 18:20 kgv Note Edited: 0078747 View Revisions
2018-08-24 15:34 bugmaster Note Added: 0078759
2018-08-24 15:34 bugmaster Status reviewed => assigned
2018-08-26 17:36 bugmaster Changeset attached => occt master e2a47b0c
2018-08-26 17:36 bugmaster Status assigned => verified
2018-08-26 17:36 bugmaster Resolution open => fixed
2018-08-26 17:43 git Note Added: 0078773
2018-09-03 16:54 bugmaster Test case number => Not needed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker